summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-python/pylast/Manifest1
-rw-r--r--dev-python/pylast/pylast-4.1.0.ebuild33
2 files changed, 34 insertions, 0 deletions
diff --git a/dev-python/pylast/Manifest b/dev-python/pylast/Manifest
index 14990f7926a..aae739022cd 100644
--- a/dev-python/pylast/Manifest
+++ b/dev-python/pylast/Manifest
@@ -1 +1,2 @@
DIST pylast-4.0.0.tar.gz 40044 BLAKE2B 89402027494d608bffc4738857d8a7728175cf29a68af259aec1d6ab3755c5e02268bbacac2ff9bd8d8c6490b86ae200aeed59f34c764a4c2f90ea59cb732070 SHA512 093845c718269ed5a0b5223182e60192a71e2fed9270fec453b96b0b2a5488a0c5a8f6386edb42ed183b97cb7ea00397b4491ff72cbf72f9e7d42dc90fae66e7
+DIST pylast-4.1.0.tar.gz 39592 BLAKE2B ff1f9f025701ebf741e53d96c2ba0c34d7a165d1c248973874484ed0c2e5e24693631f31de516fb4a58ea14014cb38c60fe04b9d116128a6a259346f16085dc2 SHA512 90be1cafb9252c2c19db9b179350269dc8eec82545487394d671d411e4fc2ca10fcd85259874f72c39674474c75274446cd8c64cd5f2274ef98ebf5ba7fbb351
diff --git a/dev-python/pylast/pylast-4.1.0.ebuild b/dev-python/pylast/pylast-4.1.0.ebuild
new file mode 100644
index 00000000000..bdb88af4480
--- /dev/null
+++ b/dev-python/pylast/pylast-4.1.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python interface to last.fm and other api-compatible websites"
+HOMEPAGE="https://github.com/pylast/pylast"
+SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? ( dev-python/flaky[${PYTHON_USEDEP}] )
+"
+
+distutils_enable_tests pytest
+
+src_configure() {
+ export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+}
+
+python_test() {
+ distutils_install_for_testing
+ pytest -vv || die "tests failed with ${EPYTHON}"
+}